Loading...
Searching...
No Matches
xua_as_fsm_priv Struct Reference

## Data Fields

struct osmo_ss7_as * | as
struct { |
struct osmo_timer_list t_r |
struct llist_head queued_msgs |
} | recovery
bool | ipa_route_created

## Field Documentation

## as

struct osmo_ss7_as* xua_as_fsm_priv::as

Referenced by ipa_add_route(), ipa_del_route(), xua_as_fsm_active(), xua_as_fsm_inactive(), xua_as_fsm_onenter(), xua_as_fsm_pending(), and xua_as_fsm_start().

## ipa_route_created

bool xua_as_fsm_priv::ipa_route_created

Referenced by ipa_add_route(), and ipa_del_route().

## queued_msgs

struct llist_head xua_as_fsm_priv::queued_msgs

Referenced by xua_as_fsm_pending(), and xua_as_fsm_start().

## [struct]

struct { ... } xua_as_fsm_priv::recovery

Referenced by xua_as_fsm_active(), xua_as_fsm_cleanup(), xua_as_fsm_pending(), and xua_as_fsm_start().

## t_r

struct osmo_timer_list xua_as_fsm_priv::t_r

Referenced by xua_as_fsm_active(), xua_as_fsm_cleanup(), xua_as_fsm_pending(), and xua_as_fsm_start().

The documentation for this struct was generated from the following file:

- src/xua_as_fsm.c